# Asterisk Project : Asterisk 12 Application_Authenticate

Added by wikibot , edited by wikibot on Aug 29, 2013

# Authenticate()

### Synopsis

Authenticate a user

### Description

This application asks the caller to enter a given password in order to continue dialplan execution.

If the password begins with the `/` character, it is interpreted as a file which contains a list of valid passwords, listed 1 password per line in the file.

When using a database key, the value associated with the key can be anything.

Users have three attempts to authenticate before the channel is hung up.

### Syntax

    Authenticate(password[,options[,maxdigits[,prompt]]])

##### Arguments

- `password` - Password the user should know
- `options`
  - `a` - Set the channels' account code to the password that is entered
  - `d` - Interpret the given path as database key, not a literal file.
  - `m` - Interpret the given path as a file which contains a list of account codes and password hashes delimited with `:`, listed one per line in the file. When one of the passwords is matched, the channel will have its account code set to the corresponding account code in the file.
  - `r` - Remove the database key upon successful entry (valid with `d` only)
- `maxdigits` - maximum acceptable number of digits. Stops reading after maxdigits have been entered (without requiring the user to press the `#` key). Defaults to 0 - no limit - wait for the user press the `#` key.
- `prompt` - Override the agent-pass prompt file.

### See Also

- Asterisk 12 Application_VMAuthenticate
- Asterisk 12 Application_DISA

### Import Version

This documentation was imported from Asterisk Version Unknown